Bug 1966401 - Revamp Ceph Table in Install Wizard flow
Summary: Revamp Ceph Table in Install Wizard flow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Pranshu Srivastava
QA Contact: Mugdha Soni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-01 04:37 UTC by Pranshu Srivastava
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Ceph Table was not responsive to tablet resolutions. Consequence: Unsatisfactory readability. Fix: Apply media queries to handle such resolutions properly. Result: Better readability than before.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Table at Tablet resolution. (328.05 KB, image/png)
2021-06-01 04:37 UTC, Pranshu Srivastava
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9087 0 None open Bug 1966401: Revamp Ceph Table in Install Wizard flow 2021-06-01 04:55:15 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:14 UTC

Description Pranshu Srivastava 2021-06-01 04:37:36 UTC
Created attachment 1788414 [details]
Table at Tablet resolution.

Description of problem: Currently the Ceph table in the Install Wizard flow does not respond well to resolutions that approach tablet sizes. See the attachment for a visual depiction of the problem.


Version-Release number of selected component (if applicable): 4.8


How reproducible: Every time.


Steps to Reproduce:
1. Go to Install Wizard (either of the first 2 modes).
2. Navigate to any step that has a select nodes option.
3. Resize it to tablet resolution. The text is almost unreadable.

Actual results: Text is vertically aligned, not readable.


Expected results: Text should be readable, the table should respond to tablet resolutions properly.

Comment 3 Mugdha Soni 2021-06-30 10:15:39 UTC
Hi 

After resizing Creation of storage cluster wizard to tablet resolution, the text was aligned horizontally and was readable .
The screenshots for same has been attached .

Hence moving the bug to verified.

Thanks 
Mugdha Soni

Comment 6 Mugdha Soni 2021-06-30 10:19:01 UTC
Based on comment#3,comment#4 and comment#5 moving the bug to verified state.

Comment 8 errata-xmlrpc 2021-07-27 23:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.